//###########################################################
// File: dumpsect.c
//
// Gibt ein HEX und ASCII Listing aus.
// Jede Zeile enthlt 16 Bytes.
//
//#########################################################################
// Last change: 06.03.2004
//#########################################################################
// hk@holger-klabunde.de
// http://www.holger-klabunde.de/index.html
//#########################################################################

#include "dumpsect.h"

//######################################################
void DumpSector(unsigned char *buf)
//######################################################
{
 unsigned int i;
 unsigned char by,j;
 
 for(i=0; i<512; i+=16)
  {
   for(j=0; j<16; j++) { by=buf[i+j]; rprintf("%x ",by); } //HEX-Dump
   uartSendByte(' ');
   uartSendByte(' ');

   for(j=0; j<16; j++) //ASCII-Dump
    {
     by=buf[i+j];
     if(by<0x20) by='.';
     uartSendByte(by);
    }

   uartSendByte(0x0d);
   uartSendByte(0x0a);

  }
}

